<?php
include_once '../control/db-config.php';

// Initialize the database for doctor booking
$db = $service->initializeDatabase('doctor_booking', 'booking_id');

if ($_POST) {
	$authid = trim($_POST['authid']);
	$uid = trim($_POST['uid']);
    $doc_name = $_POST['doc_name'];
    $patient_name = trim($_POST['patient_name']); // Patient Name
    $mobile_no = trim($_POST['mobile_no']); // Mobile Number
    $fee = $_POST['fee']; // Selected Package (fee)
    $date = $_POST['date']; // Selected Date (id)
    $time = $_POST['time']; // Selected Time
    $relation = $_POST['relation']; // Selected Relation

    // If the user selects "Other" in relation, capture the "other_relation" field
    if (isset($_POST['other_relation']) && $_POST['relation'] == 'other') {
        $other_relation = trim($_POST['other_relation']);
    }

    $dob = $_POST['dob']; // Date of Birth
    $biological_sex = $_POST['biological_sex']; // Biological Sex
    $description = trim($_POST['description']); // Description
    $upiid = isset($_POST['upiid']) ? trim($_POST['upiid']) : ''; // UPI ID (optional)


    $customer_id = bin2hex(random_bytes(2)); // Generate random customer ID
    $bookingcode = bin2hex(random_bytes(3)); // Generate random booking code

    // Insert the booking data into the doctor_booking table
    $insertcountry = [
        'customer_id' => $customer_id,
        'doctor_uid' => $uid,
        'docbookdate' => $date,  // Fetched selectdate
        'docbooktime' => $time,
        'patient_name' => $patient_name,
        'mobileno' => $mobile_no,
        'doctorname' => $doc_name,
        'doctor_authid' => $authid,
        'bookingcode' => $bookingcode,
        'relation' => isset($other_relation) ? $other_relation : $relation, // Handle other relation
        'dateofbirth' => $dob,
        'gender' => $biological_sex,
        'problem_description' => $description,
        'fees' => $fee,
        'bookby' => 'doctor',
        'status' => 'active',
        'payment_status' => 'Paid',
    ];

    // Insert the data into the database
    $data = $db->insert($insertcountry);

    if ($data) {
        echo "<script>alert('Insert successfully.!'); window.location.href='../../add_booking';</script>";
    } else {
        echo "ERROR: Could not execute the query.";
    }
}
?>
